{ -----------------------------------------------------------------------}
{ KeyRand.Pas, R.Walking-Owl (see the KeyRand.Asm source for more info)  }
{ -----------------------------------------------------------------------}
{ This should be compatible with Turbo Pascal versions 4 through 7       }

unit KeyRand;

{ Again: make sure that CheckBreak is set to false or that a Ctrl-Break  }
{ handler is written to uninstall the handler...                         }

interface

const
  RandPoolSize = 32; { make sure this is no larger than what is defined }
                     { in the KeyRand.Asm source                        }

function InstallRandom: Boolean;
  far;

function UnInstallRandom: Boolean;
  far;

function GetRandPoolAddr: Pointer;
  far;

function NumRandBits: Word;
  far;

function Noise: Byte;
  far;

implementation

function InstallRandom: Boolean;
  external; {$L KeyRand }

function UnInstallRandom: Boolean;
  external;

function GetRandPoolAddr: Pointer;
  external;

function NumRandBits: Word;
  external;

function Noise: Byte;
  external;

end.
